Bug 433188 - %setup tries to uncompress plain .tar with lzma, makig build fai
%setup tries to uncompress plain .tar with lzma, makig build fai
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: rpm (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Panu Matilainen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-17 04:52 EST by Hans de Goede
Modified: 2008-04-01 04:25 EDT (History)
1 user (show)

See Also:
Fixed In Version: rpm-4.4.2.3-1.fc9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-01 04:25:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Hans de Goede 2008-02-17 04:52:59 EST
Description of problem:
%setup tries to uncompress plain .tar with lzma, makig build fai

Version-Release number of selected component (if applicable):
rpm-4.4.2.3-0.1.rc1.x86_64

How reproducible:
Try to build this srpm on rawhide (large, contains non free (but ok in the US))
content:
http://www.hajnet.cz/soubory/ufoai/ufoai-data-2.2-1.fc8.src.rpm
  
Actual results:
Executing(%prep): /bin/sh -e /var/tmp/rpm-tmp.37421
+ umask 022
+ cd /usr/src/redhat/BUILD
+ LANG=C
+ export LANG
+ unset DISPLAY
+ cd /usr/src/redhat/BUILD
+ rm -rf ufoai-data-2.2
+ /bin/mkdir -p ufoai-data-2.2
+ cd ufoai-data-2.2
+ /usr/bin/lzma -dc /usr/src/redhat/SOURCES/ufoai-2.2-data.tar
/var/tmp/rpm-tmp.37421: line 32: /usr/bin/lzma: No such file or directory
+ tar -xf -
tar: This does not look like a tar archive
tar: Error exit delayed from previous errors
error: Bad exit status from /var/tmp/rpm-tmp.37421 (%prep)


Expected results:
Succeeded build
Comment 1 Panu Matilainen 2008-02-18 00:50:43 EST
Yup. Current lzma is a bit nasty as there's no "magic" marker in it, guesswork
on compression bits is very futile. Will fix for 4.4.2.3 final (fixed in head
already)
Comment 2 Panu Matilainen 2008-04-01 04:25:15 EDT
Fixed in rawhide to some extent, as long as the lzma archives don't have a magic
it's largely a windowsy "guess the suffix" game...

Note You need to log in before you can comment on or make changes to this bug.